GmagickPixel::__construct
GmagickPixel::getcolorcount
GmagickPixel
PHP Manual

# GmagickPixel::getcolor

(PECL gmagick >= Unknown)

GmagickPixel::getcolor — Returns the color

### Description

public mixed GmagickPixel::getcolor ([ bool `$as_array` [, bool `$normalize_array` ]] )

Returns the color described by the GmagickPixel object, as an array. If the color has an opacity channel set, this is provided as a fourth value in the list.

### Parameters

`as_array`

  True to indicate return of array instead of string

`normalize_array`

  Normalize the color values

### Return Values

An array of channel values, each normalized if TRUE is given as param. Throws GmagickPixelException on error.

GmagickPixel::__construct
GmagickPixel::getcolorcount
GmagickPixel
PHP Manual